package com.brilliance.isc.vo.collection;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class DocgrdmVo extends AbstractCommonVo {

    List<String> docgrdlst;

    //存放界面左表格数据
    List<DocgrdVo> docgrd;

    //存放界面右表格数据
    List<DocgrdVo> rightdocgrd;

    private String docdsclab;

    @Override
    public void reset() {
        super.reset();
        if (docgrd == null) {
            docgrd = new ArrayList<>();
        }
        if (rightdocgrd == null) {
            rightdocgrd = new ArrayList<>();
        }
        if (docgrdlst == null) {
            docgrdlst = new ArrayList<>();
        }
    }
}
